// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: EmptyMessage.proto

package com.ascatel.asymbix.rendering.platform.messages.dao;

public final class EmptyMessageParser {
  private EmptyMessageParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public interface EmptyMessageOrBuilder
      extends com.google.protobuf.MessageOrBuilder {
  }
  public static final class EmptyMessage extends
      com.google.protobuf.GeneratedMessage
      implements EmptyMessageOrBuilder {
    // Use EmptyMessage.newBuilder() to construct.
    private EmptyMessage(Builder builder) {
      super(builder);
    }
    private EmptyMessage(boolean noInit) {}
    
    private static final EmptyMessage defaultInstance;
    public static EmptyMessage getDefaultInstance() {
      return defaultInstance;
    }
    
    public EmptyMessage getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.internal_static_com_ascatel_asymbix_rendering_platform_messages_dao_EmptyMessage_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.internal_static_com_ascatel_asymbix_rendering_platform_messages_dao_EmptyMessage_fieldAccessorTable;
    }
    
    private void initFields() {
    }
    private byte memoizedIsInitialized = -1;
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized != -1) return isInitialized == 1;
      
      memoizedIsInitialized = 1;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    private static final long serialVersionUID = 0L;
    @java.lang.Override
    protected java.lang.Object writeReplace()
        throws java.io.ObjectStreamException {
      return super.writeReplace();
    }
    
    public static com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder>
       implements com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessageOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.internal_static_com_ascatel_asymbix_rendering_platform_messages_dao_EmptyMessage_descriptor;
      }
      
      protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.internal_static_com_ascatel_asymbix_rendering_platform_messages_dao_EmptyMessage_fieldAccessorTable;
      }
      
      // Construct using com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }
      
      private Builder(BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
        }
      }
      private static Builder create() {
        return new Builder();
      }
      
      public Builder clear() {
        super.clear();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(buildPartial());
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage.getDescriptor();
      }
      
      public com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage getDefaultInstanceForType() {
        return com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage.getDefaultInstance();
      }
      
      public com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage build() {
        com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }
      
      private com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return result;
      }
      
      public com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage buildPartial() {
        com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage result = new com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage(this);
        onBuilt();
        return result;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage) {
          return mergeFrom((com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage other) {
        if (other == com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage.getDefaultInstance()) return this;
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public final boolean isInitialized() {
        return true;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              onChanged();
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                onChanged();
                return this;
              }
              break;
            }
          }
        }
      }
      
      
      // @@protoc_insertion_point(builder_scope:com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessage)
    }
    
    static {
      defaultInstance = new EmptyMessage(true);
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessage)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_com_ascatel_asymbix_rendering_platform_messages_dao_EmptyMessage_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_com_ascatel_asymbix_rendering_platform_messages_dao_EmptyMessage_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\022EmptyMessage.proto\0223com.ascatel.asymbi" +
      "x.rendering.platform.messages.dao\"\016\n\014Emp" +
      "tyMessageBI\n3com.ascatel.asymbix.renderi" +
      "ng.platform.messages.daoB\022EmptyMessagePa" +
      "rser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_com_ascatel_asymbix_rendering_platform_messages_dao_EmptyMessage_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_com_ascatel_asymbix_rendering_platform_messages_dao_EmptyMessage_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_com_ascatel_asymbix_rendering_platform_messages_dao_EmptyMessage_descriptor,
              new java.lang.String[] { },
              com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage.class,
              com.ascatel.asymbix.rendering.platform.messages.dao.EmptyMessageParser.EmptyMessage.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  // @@protoc_insertion_point(outer_class_scope)
}
